Last modified: 2014-03-03 19:17:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 51321 - Activate Article Feedback Tool v5 (AFTv5) on fa.wikipedia
Activate Article Feedback Tool v5 (AFTv5) on fa.wikipedia
Status: RESOLVED WONTFIX
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal enhancement with 3 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
: shell
Depends on: 53488
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 13:42 UTC by reza1615
Modified: 2014-03-03 19:17 UTC (History)
17 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Strange ZWNJ (34.02 KB, image/png)
2013-07-23 05:09 UTC, reza1615
Details

Description reza1615 2013-07-14 13:42:17 UTC
Please activating Article Feed Back V5 for fa.wikipedia 
community's link
http://fa.wikipedia.org/wiki/%D9%88%DB%8C%DA%A9%DB%8C%E2%80%8C%D9%BE%D8%AF%DB%8C%D8%A7:%D9%82%D9%87%D9%88%D9%87%E2%80%8C%D8%AE%D8%A7%D9%86%D9%87/%DA%AF%D9%88%D9%86%D8%A7%DA%AF%D9%88%D9%86#.D9.81.D8.B9.D8.A7.D9.84_.DA.A9.D8.B1.D8.AF.D9.86_.D8.A7.D8.A8.D8.B2.D8.A7.D8.B1_.D8.A8.D8.A7.D8.B2.D8.AE.D9.88.D8.B1.D8.AF_.D8.A8.D8.B1.D8.A7.DB.8C_.D9.88.DB.8C.DA.A9.DB.8C.E2.80.8C.D9.81.D8.A7 

as users commented is it possible to have it as 1 month testing, if the feedback are ok :) (it is not youtube's clips feedback) we can continue it for permanent
Comment 3 pouyan 2013-07-15 14:59:43 UTC
I also support this action-
Comment 4 Amir Ladsgroup 2013-07-17 08:51:42 UTC
What community decided is activation of feedback extension for one month and continue of activation depends on what community decide. please active it until next month we will bother you again :D 
Best
Comment 5 This, that and the other (TTO) 2013-07-20 10:15:47 UTC
From some brief testing on testwiki, it looks like AFTv5 has a few minor problems in RTL wikis (e.g. "back" arrow facing the wrong way, possibly some outdated/broken messages?, etc). 

I think it could still be enabled (we would need proper confirmation from a WMF person), however, you would need to be prepared that there could be issues.

What settings would you want:
* Which namespaces?
* Enable on all pages by default? Or require it to be manually enabled on each page?
* Name a whitelist category (i.e. a category into which you can put pages so they get feedback) and a blacklist category (i.e. a category into which you can put pages so they do NOT get feedback)
* Link to feedback page from the top of articles?
Comment 6 Amir Ladsgroup 2013-07-22 00:22:00 UTC
I made a category and every article that exists in this category should have feedback I strongly disagree about enabling it for ALL pages (or even all articles) 
So this is the whitelist: (It's empty now)
http://fa.wikipedia.org/wiki/%D8%B1%D8%AF%D9%87:%D9%85%D9%82%D8%A7%D9%84%D9%87%E2%80%8C%D9%87%D8%A7%DB%8C_%D8%AF%D8%A7%D8%B1%D8%A7%DB%8C_%D8%A8%D8%A7%D8%B2%D8%AE%D9%88%D8%B1%D8%AF
Comment 7 Taha 2013-07-22 01:11:16 UTC
I second Amir Ladsgroup on not enabling the feedback for ALL pages. For example, in my opinion enabling the feedback on the semi-protected pages will only bring troubles.
Comment 8 Andre Klapper 2013-07-22 09:25:12 UTC
Amir, Taha: The exact scope should be discussed within the community and afterwards the community decision should be forwarded to this bug report - see the link in comment 0 for the community discussion.
Comment 9 Amir Ladsgroup 2013-07-22 14:33:46 UTC
I just started a discussion in Persian Wikipedia and enabled Feedback in Wikitest-rtl (http://tools.wmflabs.org/wikitest-rtl/w/index.php) for testing it and reporting bugs

Best
Comment 10 reza1615 2013-07-22 21:10:25 UTC
The extension in RTL test wiki shows an error which is not in English interface

1-when you send a comment it shows
	
سپاس!	articlefeedbackv5-cta-confirmation-message: Parse error at position 22 in input: پست شما را می‌توان در [ $1 صفحه انتقادها و پیشنهادها] مشاهده کرد.
Comment 11 This, that and the other (TTO) 2013-07-23 00:41:00 UTC
(In reply to comment #10)
> The extension in RTL test wiki shows an error which is not in English
> interface
> 
> 1-when you send a comment it shows
> 
> سپاس!    articlefeedbackv5-cta-confirmation-message: Parse error at position
> 22
> in input: پست شما را می‌توان در [ $1 صفحه انتقادها و پیشنهادها] مشاهده کرد.

There is something wrong with the message MediaWiki:Articlefeedbackv5-cta-confirmation-message/fa. I don't know what it is.
Comment 12 Amir Ladsgroup 2013-07-23 01:07:25 UTC
(In reply to comment #11)
> (In reply to comment #10)
> > The extension in RTL test wiki shows an error which is not in English
> > interface
> > 
> > 1-when you send a comment it shows
> > 
> > سپاس!    articlefeedbackv5-cta-confirmation-message: Parse error at position
> > 22
> > in input: پست شما را می‌توان در [ $1 صفحه انتقادها و پیشنهادها] مشاهده کرد.
> 
> There is something wrong with the message
> MediaWiki:Articlefeedbackv5-cta-confirmation-message/fa. I don't know what it
> is.

There is two errors on this page: 1- "[ $1" that was a bad translation that reza fixed it in translatewiki (we have to wait until l10n bot merge it) 2- "Parse error at position 22" this is nothing to do with the translation! maybe I'm wrong

There is another error in l10n which I'm working on it It's a little hard to explain for non-Persians but "مشاهده صفحهبحثتنظیمات" in feedback special page is wrong and must be "مشاهده صفحه بحث تنظیمات" It's nothing to do with bad translation, rendering feedback page missed a necessary space character. see an example
http://tools.wmflabs.org/wikitest-rtl/w/index.php?title=Special:ArticleFeedbackv5/Main_Page&uselang=fa
Best
Comment 13 reza1615 2013-07-23 05:09:20 UTC
Created attachment 12927 [details]
Strange ZWNJ

I made a screen shot which shows strange bug!
1 should be راهنما مشاهده صفحه بحث
2 should be بله خیر
I checked translation wiki and it doesn't have ZWNJ at the end of the words!
Comment 14 Amir Ladsgroup 2013-09-15 13:37:39 UTC
I committed this patch in order to solve it, If you merge this patch you can run AFV5 in fa.wp without any problems
https://gerrit.wikimedia.org/r/84216
Comment 15 reza1615 2013-11-04 16:01:46 UTC
would you please active it?
Comment 16 Calak 2013-11-04 16:24:55 UTC
Per community consensus please active it.
Comment 17 Andre Klapper 2013-11-04 22:02:18 UTC
Just a hint to speed up the process: If you (or anybody else) would like to create a software patch to change the server configuration, please see
* http://www.mediawiki.org/wiki/Developer_access
* http://www.mediawiki.org/wiki/Gerrit/Tutorial
The files to change for this request are https://git.wikimedia.org/blob/operations%2Fmediawiki-config.git/HEAD/wmf-config%2FInitialiseSettings.php and https://git.wikimedia.org/blob/operations%2Fmediawiki-config.git/HEAD/wmf-config%2FCommonSettings.php
Please note that providing help with Git/Gerrit is out of scope for this specific bug report.
Thanks!
Comment 18 Tomasz W. Kozlowski 2013-11-05 07:38:29 UTC
ArticleFeedbackv5 is so awesome that it requires plenty of settings being defined in InitialiseSettings.php in order to be deployed on a wiki.

Can someone please have a look at AFTv5's variables (starting with <https://git.wikimedia.org/blob/operations/mediawiki-config.git/HEAD/wmf-config/InitialiseSettings.php#L10844>) and tell us which ones you want to have defined for tewiki and which ones should be left at the default settings?

I'm assuming you'll at least want to define $wmgArticleFeedbackv5BlacklistCategories, $wmgArticleFeedbackv5OversightEmails, $wmgArticleFeedbackv5OversightEmailHelp, $wmgArticleFeedbackv5AutoHelp, $wmgArticleFeedbackv5LearnToEdit, $wmgArticleFeedbackv5CTABuckets and perhaps some others, too. 

(Yay for extensions which have to keep so many settings in config files!)
Comment 19 Amir Ladsgroup 2013-11-05 07:54:55 UTC
I was told that AFv5 is going to be enabled very soon, It's first in the line of deployment. I'm gonna send an e-mail to person in charge
Comment 20 Tomasz W. Kozlowski 2013-11-05 09:46:22 UTC
(In reply to comment #19)
> I was told that AFv5 is going to be enabled very soon, It's first in the line
> of deployment. I'm gonna send an e-mail to person in charge

I haven't seen any assurances about that in this bug, and no one has assigned it to themselves, so that's a bit surprising for me. Please /do/ contact that person and ask them to comment on this bug.
Comment 21 reza1615 2013-11-05 09:55:08 UTC
(In reply to comment #18)
> ArticleFeedbackv5 is so awesome that it requires plenty of settings being
> defined in InitialiseSettings.php in order to be deployed on a wiki.
> 
> Can someone please have a look at AFTv5's variables (starting with
> <https://git.wikimedia.org/blob/operations/mediawiki-config.git/HEAD/wmf-
> config/InitialiseSettings.php#L10844>)
> and tell us which ones you want to have defined for tewiki and which ones
> should be left at the default settings?
> 
> I'm assuming you'll at least want to define
> $wmgArticleFeedbackv5BlacklistCategories,
> $wmgArticleFeedbackv5OversightEmails,
> $wmgArticleFeedbackv5OversightEmailHelp, $wmgArticleFeedbackv5AutoHelp,
> $wmgArticleFeedbackv5LearnToEdit, $wmgArticleFeedbackv5CTABuckets and perhaps
> some others, too. 
> 
> (Yay for extensions which have to keep so many settings in config files!)
according to consensus the main setting is and the rest setting may be better to be like http://www.mediawiki.org/wiki/Extension:ArticleFeedbackv5#Configuration

:$wgArticleFeedbackv5BlacklistCategories = array( 'عدم_نمایش_بازخورد' ); 
:$wgArticleFeedbackv5Namespaces = array( NS_MAIN);
:$wgArticleFeedbackv5LotteryOdds = array( NS_MAIN => 100);
:$wgArticleFeedbackv5TalkPageLink = false;
:$wgArticleFeedbackv5WatchlistLink = true;
Comment 22 Tomasz W. Kozlowski 2013-11-05 09:58:09 UTC
Thanks, reza1615; let's just wait for the mysterious person from comment 19 before moving forward with this bug.
Comment 23 Amir Ladsgroup 2013-11-05 11:28:06 UTC
(In reply to comment #22)
> Thanks, reza1615; let's just wait for the mysterious person from comment 19
> before moving forward with this bug.

E-mail sent So need to just wait :)
Comment 25 Fabrice Florin 2013-11-06 16:59:17 UTC
Thanks for this reminder.

Unfortunately, we no longer have development resources for Article Feedback, as our team has been re-assigned to other projects. So I'm afraid this request will have to wait. 

We are now holding off on any new deployments or feature developments for AFT5 until we hear the results of the French pilot, which are due in a couple weeks.

Based on those results, the foundation will determine whether or not to release this tool more widely. We don't want to do this without having development resources to support such deployments, and cannot allocate such resources unless we know there is sufficient demand worldwide to warrant this.

I'm sorry that we can't give you better news, but we are trying to save everyone's time by proceeding methodically before making any more releases. We hope to have more information in a few weeks.

Thanks you for your patience and understanding.
Comment 26 John F. Lewis 2013-11-30 20:06:25 UTC
(In reply to comment #25)
> Thanks for this reminder.
> 
> Unfortunately, we no longer have development resources for Article Feedback,
> as
> our team has been re-assigned to other projects. So I'm afraid this request
> will have to wait. 
> 
> We are now holding off on any new deployments or feature developments for
> AFT5
> until we hear the results of the French pilot, which are due in a couple
> weeks.
> 
> Based on those results, the foundation will determine whether or not to
> release
> this tool more widely. We don't want to do this without having development
> resources to support such deployments, and cannot allocate such resources
> unless we know there is sufficient demand worldwide to warrant this.
> 
> I'm sorry that we can't give you better news, but we are trying to save
> everyone's time by proceeding methodically before making any more releases.
> We
> hope to have more information in a few weeks.
> 
> Thanks you for your patience and understanding.

Is there any update on this?
Comment 27 Andre Klapper 2014-02-26 16:49:41 UTC
(In reply to John F. Lewis from comment #26)
> Is there any update on this?

Please see bug 61163 comment 9
Comment 28 Sam Reed (reedy) 2014-03-03 19:17:57 UTC
AFT has been removed from the cluster.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links